#ifndef KEYS_H
#define KEYS_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kapp.h>

#include <ntqdialog.h>
#include <ntqlabel.h>
#include <ntqstring.h>

#include <tdeaccel.h>

class Keys : public TQDialog
{
    Q_OBJECT
public:
    Keys( TQWidget *parent=0, const char *name=0 );

private slots:
    void butRight();
    void butLeft();
    void butUp();
    void butDown();

    void getKey(int);
    void defaults();
    void focusIn(TQLabel *);
    void focusOut(TQLabel *);

    void ok();

protected:
    void  keyPressEvent( TQKeyEvent * );

private:
    void init();

    TQLabel *labels[4];
    TQLabel *lab;
};

#endif // KEYS_H
